Index: .hgignore
===================================================================
--- .hgignore	(revision 3671)
+++ .hgignore	(revision 3277)
@@ -6,3 +6,3 @@
 build-tools/ckeditor/ckbuilder.jar
 syntax: glob
-var
+csp_report.txt
Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 3649)
+++ CHANGELOG	(revision 3679)
@@ -1,2 +1,7 @@
+Dotclear 2.13.1 - 2018-01-27
+===========================================================
+* Fix: Weird behaviour of theme editor when typing any of "t", "r", "u" and "e" characters
+* Fix: Unable to save an entry with dcLegacyEditor in XHTML mode, visual pane
+
 Dotclear 2.13 - 2018-01-13
 ===========================================================
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3678)
+++ admin/style/default.css	(revision 3639)
@@ -1791,6 +1791,4 @@
       background: #fff;
       border-bottom-color: #fff; }
-    .part-tabs li a:link {
-      transition: unset; }
   .part-tabs li.part-tabs-active a {
     background: #fff;
@@ -3284,20 +3282,4 @@
     border-top: none; } }
 /** --------------------------------------------------
-	Plugins
---------------------------------------------------- */
-/* dcLegacyEditor */
-/* WYSIWYG Document */
-body.wysiwygDoc {
-  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif; }
-
-.wysiwygDoc pre, .wysiwygDoc code, .wysiwygDoc kbd, .wysiwygDoc samp {
-  font-family: "Andale Mono", AndaleMono, Consolas, Monaco, "Courier New", monospace; }
-
-/* dcCKEditor */
-.cke textarea.cke_source {
-  font-family: "Andale Mono", AndaleMono, Consolas, Monaco, "Courier New", monospace;
-  font-size: 100%; }
-
-/** --------------------------------------------------
 	3rd parties
 --------------------------------------------------- */
@@ -3650,9 +3632,4 @@
     padding-left: 6px;
     padding-right: 6px; } }
-/* CodeMirror CSS */
-.CodeMirror {
-  /* Set height, width, borders, and global font properties here */
-  font-family: "Andale Mono", AndaleMono, Consolas, Monaco, "Courier New", monospace !important; }
-
 /** --------------------------------------------------
     Debug
Index: admin/style/scss/default.scss
===================================================================
--- admin/style/scss/default.scss	(revision 3669)
+++ admin/style/scss/default.scss	(revision 3389)
@@ -78,13 +78,7 @@
 
 /** --------------------------------------------------
-	Plugins
---------------------------------------------------- */
-@import "partials/editors";
-
-/** --------------------------------------------------
 	3rd parties
 --------------------------------------------------- */
 @import "vendor/magnific-popup";
-@import "vendor/codemirror";
 
 /** --------------------------------------------------
Index: admin/style/scss/partials/_content.scss
===================================================================
--- admin/style/scss/partials/_content.scss	(revision 3678)
+++ admin/style/scss/partials/_content.scss	(revision 3439)
@@ -30,7 +30,4 @@
 				border-bottom-color: #fff;
 			}
-      &:link {
-        transition: unset;
-      }
 		}
 		&.part-tabs-active a {
Index: dmin/style/scss/partials/_editors.scss
===================================================================
--- admin/style/scss/partials/_editors.scss	(revision 3669)
+++ 	(revision )
@@ -1,16 +1,0 @@
-/* dcLegacyEditor */
-
-/* WYSIWYG Document */
-body.wysiwygDoc {
-	font-family: $sans-serif;
-}
-.wysiwygDoc pre, .wysiwygDoc code, .wysiwygDoc kbd, .wysiwygDoc samp {
-	font-family: $monospace;
-}
-
-/* dcCKEditor */
-
-.cke textarea.cke_source {
-	font-family: $monospace;
-	font-size: 100%;
-}
Index: composer.json
===================================================================
--- composer.json	(revision 3675)
+++ composer.json	(revision 3618)
@@ -2,5 +2,5 @@
 	"name": "dotclear/dotclear",
 	"description": "Dotclear is an open-source web publishing software.",
-	"license": "GPL-2.0-only",
+	"license": "GPL-V2",
 	"authors": [
 		{
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 3667)
+++ inc/prepend.php	(revision 3650)
@@ -144,5 +144,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.14-dev');
+define('DC_VERSION','2.13');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: plugins/dcCKEditor/_post_config.php
===================================================================
--- plugins/dcCKEditor/_post_config.php	(revision 3670)
+++ plugins/dcCKEditor/_post_config.php	(revision 3641)
@@ -251,11 +251,7 @@
 			}
 		}
-
 	});
 
 	CKEDITOR.on('instanceReady',function(e) {
-		if (typeof dotclear_htmlFontSize !== 'undefined') {
-			e.editor.document.$.documentElement.style.setProperty('--html-font-size',dotclear_htmlFontSize);
-		}
 
 		if ($('label[for="post_excerpt"] a img').attr('src') == dotclear.img_minus_src) {
Index: plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php
===================================================================
--- plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 3669)
+++ plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 3421)
@@ -32,5 +32,5 @@
         }
 
-        $res =
+        return
             '<script type="text/javascript">'."\n".
             dcPage::jsVar('dotclear.ckeditor_context', $context).
@@ -58,13 +58,4 @@
             dcPage::jsLoad(self::$p_url.'/js/ckeditor/adapters/jquery.js').
             dcPage::jsLoad($config_js);
-
-		if ($GLOBALS['core']->auth->user_prefs->interface->htmlfontsize) {
-			$res .=
-			'<script type="text/javascript">'."\n".
-			dcPage::jsVar('dotclear_htmlFontSize',$GLOBALS['core']->auth->user_prefs->interface->htmlfontsize)."\n".
-			"</script>\n";
-		}
-
-		return $res;
 	}
 
Index: plugins/dcCKEditor/js/ckeditor/contents.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/contents.css	(revision 3669)
+++ plugins/dcCKEditor/js/ckeditor/contents.css	(revision 3616)
@@ -27,23 +27,4 @@
 	word-wrap: break-word;
 }
-
-/* Dotclear */
-:root {
-	--html-font-size: 62.5%; }
-
-html {
-	font-size: 62.5%;
-	font-size: var(--html-font-size); }
-
-body {
-	font-size: 1.4rem;
-	line-height: 1.5;
-	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
-}
-.cke_editable
-{
-	font-size: 1.4rem;
-}
-/* End Dotclear */
 
 blockquote
Index: plugins/dcLegacyEditor/css/jsToolBar/jsToolBar.css
===================================================================
--- plugins/dcLegacyEditor/css/jsToolBar/jsToolBar.css	(revision 3669)
+++ plugins/dcLegacyEditor/css/jsToolBar/jsToolBar.css	(revision 3602)
@@ -168,4 +168,5 @@
 /* WYSIWYG Document */
 body.wysiwygDoc {
+	font: 12px "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;
 	color : #000;
 	background: #f9f9f9;
@@ -173,4 +174,8 @@
 	padding : 2px;
 	border: none;
+}
+.wysiwygDoc pre, .wysiwygDoc code, .wysiwygDoc kbd, .wysiwygDoc samp {
+	font-family:"Courier New",Courier,monospace;
+	font-size : 1.1em;
 }
 .wysiwygDoc code {
Index: plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php
===================================================================
--- plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php	(revision 3669)
+++ plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php	(revision 3421)
@@ -69,4 +69,5 @@
 		"jsToolBar.prototype.iframe_css = '".
 		'body {'.
+		'	font: 12px "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;'.
 		'	color: #000;'.
 		'	background: #f9f9f9;'.
@@ -75,4 +76,8 @@
 		'	border: none;'.
 		(l10n::getTextDirection($GLOBALS['_lang']) == 'rtl' ? '	direction: rtl;' : '').
+		'}'.
+		'pre, code, kbd, samp {'.
+		'	font-family: "Courier New",Courier,monospace;'.
+		'	font-size: 1.1em;'.
 		'}'.
 		'code {'.
@@ -135,11 +140,4 @@
 		"</script>\n";
 
-		if ($GLOBALS['core']->auth->user_prefs->interface->htmlfontsize) {
-			$res .=
-			'<script type="text/javascript">'."\n".
-			dcPage::jsVar('dotclear_htmlFontSize',$GLOBALS['core']->auth->user_prefs->interface->htmlfontsize)."\n".
-			"</script>\n";
-		}
-
 		return $res;
 	}
Index: plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.wysiwyg.js
===================================================================
--- plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.wysiwyg.js	(revision 3669)
+++ plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.wysiwyg.js	(revision 3258)
@@ -165,5 +165,4 @@
 		'<html>\n'+
 		'<head>\n'+
-		'<link rel="stylesheet" href="style/default.css" type="text/css" media="screen" />'
 		'<style type="text/css">'+This.iframe_css+'</style>\n'+
 		(This.base_url != '' ? '<base href="'+This.base_url+'" />' : '')+
@@ -178,8 +177,4 @@
 			doc.designMode = 'on';
 			// warning : doc is now inaccessible for IE6 sp1
-		}
-
-		if (typeof dotclear_htmlFontSize !== 'undefined') {
-			doc.documentElement.style.setProperty('--html-font-size',dotclear_htmlFontSize);
 		}
 
